class Grade:
    
    def __init__(self, discipline, studentID, teacher, grade):
        self.discipline = discipline
        self.studentID = studentID
        self.teacher = teacher
        self.grade = grade
    
class Student:
    
    def __init__(self, id, name):
        self.id = id
        self.name = name
        self.grade = []
        
    def __str__(self):
        message = str(self.id) + ' ' + self.name
        return message
        
    def getID(self):
        return self.id
    
    def getName(self):
        return self.name
    
    def isValid(self):
        return self.id != '' and self.name != ''
    
    @staticmethod
    def validate(student):
        errors = []
        if student.id == '':
            errors.append('ID can not be empty')
        if student.name == '':
            errors.append('Name can not be empty')
        return errors
    
'''def testCreateStudent():
    student = Student('123', 'Gheorghe')
    assert student.getID() == '123'
    assert student.getName() == 'Gheorghe'
    
def testValidateStudent():
    student = ('', 'Gheorghe')
    errors = Student.validate(student)
    assert len(errors) == 1
    
testCreateStudent()
testValidateStudent()'''